## bcal 1.4

=== Makefile ===
CC = gcc
CFLAGS = -Wall -Wextra -Werror -O3
LDLIBS = -lquadmath

PREFIX ?= /usr/local
BINDIR = $(DESTDIR)$(PREFIX)/bin
MANDIR = $(DESTDIR)$(PREFIX)/share/man/man1
DOCDIR = $(DESTDIR)$(PREFIX)/share/doc/bcal

all: bcal

bcal: bcal.c
	$(CC) $(CFLAGS) -o bcal bcal.c $(LDLIBS)
	strip bcal

.PHONY: clean
clean:
	-rm -f bcal

distclean: clean
	rm -f *~

install: bcal
	install -m755 -d $(BINDIR)
	install -m755 -d $(MANDIR)
	install -m755 -d $(DOCDIR)
	gzip -c bcal.1 > bcal.1.gz
	install -m755 bcal $(BINDIR)
	install -m644 bcal.1.gz $(MANDIR)
	install -m644 README.md $(DOCDIR)
	rm -f bcal.1.gz

uninstall:
	rm -f $(BINDIR)/bcal
	rm -f $(MANDIR)/bcal.1.gz
	rm -rf $(DOCDIR)

=== debian/changelog ===
bcal (1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #842225)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Wed, 26 Oct 2016 15:27:09 +0800

=== debian/control ===
Source: bcal
Section: misc
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
Build-Depends: debhelper (>= 9.20160709~),
               dh-systemd,
               libc6-dev (>= 2.24)
Standards-Version: 3.9.8
Homepage: https://github.com/jarun/bcal
Vcs-Git: https://anonscm.debian.org/git/collab-maint/bcal.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/bcal.git

Package: bcal
Architecture: amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Command-line utility for storage conversions and calculations
 Feature
 .
  - convert to IEC/SI standard data storage units
  - show the address in bytes
  - show address as LBA:OFFSET
  - convert CHS to LBA and vice versa
  - show binary, decimal and hex representation of a number
  - custom sector size, max heads/cylinder and max sectors/track
  - minimal dependencies
 .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

%:
	dh $@ --parallel --with systemd

## bcal 1.6

=== Makefile ===
CC = gcc
CFLAGS = -O3 -m64 -Wall -Wextra -Werror
LDLIBS = -lquadmath

PREFIX ?= /usr/local
BINDIR = $(DESTDIR)$(PREFIX)/bin
MANDIR = $(DESTDIR)$(PREFIX)/share/man/man1
DOCDIR = $(DESTDIR)$(PREFIX)/share/doc/bcal

SRC = $(wildcard src/*.c)
INCLUDE = -Iinc

bcal: $(SRC)
	$(CC) $(CFLAGS) $(INCLUDE) -o bcal $(SRC) $(LDLIBS)
	strip bcal

all: bcal

test: all
	$(shell pwd)/test.py

.PHONY: clean
clean:
	-rm -f bcal

distclean: clean
	rm -f *~

install: bcal
	install -m755 -d $(BINDIR)
	install -m755 -d $(MANDIR)
	install -m755 -d $(DOCDIR)
	install -m755 bcal $(BINDIR)
	gzip -c bcal.1 > bcal.1.gz
	install -m644 bcal.1.gz $(MANDIR)
	install -m644 README.md $(DOCDIR)
	rm -f bcal.1.gz

uninstall:
	rm -f $(BINDIR)/bcal
	rm -f $(MANDIR)/bcal.1.gz
	rm -rf $(DOCDIR)

=== debian/changelog ===
bcal (1.6-1) unstable; urgency=medium

  * Import new upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 02 Jul 2017 21:05:13 +0800

bcal (1.5-1) unstable; urgency=medium

  * New upstream version

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 16 Apr 2017 12:46:21 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: bcal
 Section: misc
 Priority: optional
-Maintainer: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
-Build-Depends: debhelper (>= 9.20160709~),
+Maintainer: SZ Lin (林上智) <szlin@debian.org>
+Build-Depends: debhelper (>= 10),
                dh-systemd,
-               libc6-dev (>= 2.24)
-Standards-Version: 3.9.8
+               libc6-dev (>= 2.24),
+               python3
+Standards-Version: 4.0.0
 Homepage: https://github.com/jarun/bcal
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/bcal.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/bcal.git

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,5 @@
 
 %:
 	dh $@ --parallel --with systemd
+
+override_dh_auto_install:

## bcal 1.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CC = gcc
-CFLAGS = -O3 -m64 -Wall -Wextra -Werror
+CFLAGS = -O3 -m64 -Wall -Wextra -Wno-unused-parameter -Werror
 LDLIBS = -lquadmath
 
 PREFIX ?= /usr/local
@@ -15,9 +15,6 @@
 	strip bcal
 
 all: bcal
-
-test: all
-	$(shell pwd)/test.py
 
 .PHONY: clean
 clean:

=== debian/changelog ===
bcal (1.7-1) unstable; urgency=medium

  * Import new upstream version
  * Bump Standards-Version to 4.1.1
  * Remove unnecessary option in d/rules
  * Replace "http" with "https" in d/copyright

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 08 Oct 2017 18:57:03 +0800

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
 Build-Depends: debhelper (>= 10),
-               dh-systemd,
                libc6-dev (>= 2.24),
                python3
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/jarun/bcal
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/bcal.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/bcal.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

%:
	dh $@

override_dh_auto_install:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/jarun/bcal/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## bcal 1.9

=== Makefile ===
PREFIX ?= /usr/local
BINDIR = $(DESTDIR)$(PREFIX)/bin
MANDIR = $(DESTDIR)$(PREFIX)/share/man/man1
DOCDIR = $(DESTDIR)$(PREFIX)/share/doc/bcal
STRIP ?= strip

CFLAGS ?= -O3
CFLAGS += -Wall -Wextra -Wno-unused-parameter -Werror
LDLIBS = -lreadline

SRC = $(wildcard src/*.c)
INCLUDE = -Iinc

bcal: $(SRC)
	$(CC) $(CFLAGS) $(INCLUDE) -o bcal $(SRC) $(LDLIBS)

all: bcal

x86: $(SRC)
	$(CC) -m64 $(CFLAGS) $(INCLUDE) -o bcal $(SRC) $(LDLIBS)
	strip bcal

distclean: clean
	rm -f *~

install: bcal
	install -m 0755 -d $(BINDIR)
	install -m 0755 -d $(MANDIR)
	install -m 0755 -d $(DOCDIR)
	install -m 0755 bcal $(BINDIR)
	gzip -c bcal.1 > bcal.1.gz
	install -m 0644 bcal.1.gz $(MANDIR)
	install -m 0644 README.md $(DOCDIR)
	rm -f bcal.1.gz

uninstall:
	rm -f $(BINDIR)/bcal
	rm -f $(MANDIR)/bcal.1.gz
	rm -rf $(DOCDIR)

strip: bcal
	$(STRIP) $^

clean:
	-rm -f bcal

.PHONY: bcal all x86 distclean install uninstall strip clean

=== debian/changelog ===
bcal (1.9-2) unstable; urgency=medium

  * Correct the package in depends: readline-common (Closes: #899361)

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 23 May 2018 20:39:55 +0800

bcal (1.9-1) unstable; urgency=medium

  * Import new upstream version
  * d/control: Bump Standards-Version to 4.1.4
  *            Add {build-}depends: readline-{devel}

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 22 May 2018 23:20:39 +0800

bcal (1.8-1) unstable; urgency=medium

  * Import new upstream version
  * d/control: Bump Standards-Version to 4.1.3
  *            Bump debhelper to 11
  * d/manpages: Use upstream manpage
  * d/compat: Bump compat version to 11
  * d/rules: Add pie feature

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 16 Mar 2018 13:11:20 +0800

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libc6-dev (>= 2.24),
+               libreadline-dev,
                python3
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/jarun/bcal
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/bcal.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/bcal.git
+Vcs-Git: https://salsa.debian.org/debian/bcal.git
+Vcs-Browser: https://salsa.debian.org/debian/bcal
 
 Package: bcal
 Architecture: amd64
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         readline-common
 Description: Command-line utility for storage conversions and calculations
  Feature
  .

## bcal 2.1

=== Makefile ===
--- 
+++ 
@@ -44,4 +44,6 @@
 clean:
 	-rm -f bcal
 
+skip: ;
+
 .PHONY: bcal all x86 distclean install uninstall strip clean

=== debian/changelog ===
bcal (2.1-1) unstable; urgency=medium

  * Import new upstream version
  * Add upstream metadata

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 13 Dec 2018 10:02:27 +0800

bcal (2.0-1) unstable; urgency=medium

  * Import new upstream version
  * d/control:
    * Bump Standards-Version to 4.2.1

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 03 Oct 2018 13:33:08 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                libc6-dev (>= 2.24),
                libreadline-dev,
                python3
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/jarun/bcal
 Vcs-Git: https://salsa.debian.org/debian/bcal.git
 Vcs-Browser: https://salsa.debian.org/debian/bcal

## bcal 2.2

=== debian/changelog ===
bcal (2.2-1) unstable; urgency=medium

  * Import new upstream version
  * d/control:
    - Bump Standards-Version to 4.5.0

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 27 Jan 2020 18:00:00 +0800

bcal (2.1+git20190806.6c8d325-3) unstable; urgency=medium

  * d/tests:
    - Fix regression

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 09 Dec 2019 17:28:26 +0800

bcal (2.1+git20190806.6c8d325-2) unstable; urgency=medium

  * d/control:
    - Add Suggests: bc to enhance the functionality of bcal
    - Add 64-bit architecture support (Closes: #942178)
    - Add Rules-Requires-Root: no
    - Bump Standards-Version to 4.4.1
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat
  * d/tests:
    - Add test case

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 30 Nov 2019 23:22:36 +0800

bcal (2.1+git20190806.6c8d325-1) unstable; urgency=high

  * Import new upstream version
  * Fix FTBFS with GCC-9 (Closes: #925637)
  * d/compat:
    - Bump compat version to 12
  * d/control:
    - Bump Standards-Version to 4.4.0
    - Bump dephelper to 12
  * d/watch:
    - Fix wrong format in package naming

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 27 Aug 2019 10:14:38 +0800

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libc6-dev (>= 2.24),
                libreadline-dev,
                python3
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/jarun/bcal
 Vcs-Git: https://salsa.debian.org/debian/bcal.git
 Vcs-Browser: https://salsa.debian.org/debian/bcal
 
 Package: bcal
-Architecture: amd64
+Architecture: amd64 arm64 ppc64 ppc64el riscv64 mips64el
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          readline-common
+Suggests: bc
 Description: Command-line utility for storage conversions and calculations
  Feature
  .

## bcal 2.3

=== debian/changelog ===
bcal (2.3-1) unstable; urgency=medium

  * Import new upstream version
  * d/control:
    - Bump debhelper-compat to 13
    - Bump Standards-Version to 4.6.0.1

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 17 Oct 2021 14:06:26 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libc6-dev (>= 2.24),
                libreadline-dev,
                python3
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/bcal
 Vcs-Git: https://salsa.debian.org/debian/bcal.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bcal-$1\.tar\.gz/ \
   https://github.com/jarun/bcal/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## bcal 2.4

=== Makefile ===
--- 
+++ 
@@ -4,20 +4,24 @@
 DOCDIR = $(DESTDIR)$(PREFIX)/share/doc/bcal
 STRIP ?= strip
 
-CFLAGS ?= -O3
-CFLAGS += -Wall -Wextra -Wno-unused-parameter -Werror
-LDLIBS = -lreadline
+CFLAGS_OPTIMIZATION ?= -O3
+CFLAGS_WARNINGS     ?= -Wall -Wextra -Wno-unused-parameter -Werror
+
+LDLIBS_READLINE ?= -lreadline
+
+CFLAGS += $(CFLAGS_OPTIMIZATION) $(CFLAGS_WARNINGS)
+LDLIBS += $(LDLIBS_READLINE)
 
 SRC = $(wildcard src/*.c)
 INCLUDE = -Iinc
 
 bcal: $(SRC)
-	$(CC) $(CFLAGS) $(INCLUDE) -o bcal $(SRC) $(LDLIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(INCLUDE) -o bcal $(SRC) $(LDLIBS)
 
 all: bcal
 
 x86: $(SRC)
-	$(CC) -m64 $(CFLAGS) $(INCLUDE) -o bcal $(SRC) $(LDLIBS)
+	$(CC) -m64 $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(INCLUDE) -o bcal $(SRC) $(LDLIBS)
 	strip bcal
 
 distclean: clean

=== debian/changelog ===
bcal (2.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with GCC 15. (Closes: #1096360)
  * Build depend on architecture-is-little-endian and
    architecture-is-64-bit instead of hardcoding an architecture
    list. (Closes: #1079955)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Sep 2025 23:23:41 +0300

bcal (2.4-2) unstable; urgency=medium

  * Fix d/watch issue

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 17 Dec 2022 15:21:14 +0800

bcal (2.4-1) unstable; urgency=medium

  * Import new upstream version
  * d/copyright:
    - Update the copyright year

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 05 Mar 2022 16:42:55 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: architecture-is-64-bit,
+               architecture-is-little-endian,
+               debhelper-compat (= 13),
                libc6-dev (>= 2.24),
                libreadline-dev,
                python3
@@ -13,7 +15,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/bcal
 
 Package: bcal
-Architecture: amd64 arm64 ppc64 ppc64el riscv64 mips64el
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          readline-common

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

override_dh_auto_install:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bcal-$1\.tar\.gz/ \
   https://github.com/jarun/bcal/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
